#!/usr/bin/perl

use strict;
use CGI();

require "inc/cwcal.pl";

my $title2 = __("Configuration Wcal");
my $title = __("Configuration globale");
my $txt1 = __("Ressources renseignes");
my $txt2 = __("Toutes les ressources");

my $q = new CGI();

cw_header($title);

print "<center>\n";
print "<h1><a href=\".\">$title2</a></h1>\n";
print "</center>\n";
print "<h2>$title</h2>\n";

if ($q->param("all"))
{
    print "<i><a href=\"global.cgi\"><font color=\"#666666\">$txt1</font></a></i>&nbsp;&nbsp;&nbsp;<b>$txt2</b>\n";
}
else
{
    print " <b>$txt1</b>&nbsp;&nbsp;&nbsp;<i><a href=\"global.cgi?all=1\"><font color=\"#666666\">$txt2</font></a></i>\n";
}
print "<p>\n";

my $conf = cw_get_wconf();

if ($q->param("organization"))
{
    $conf->{"organization"} = $q->param("organization");
    $conf->{"password"} = $q->param("password");
    my $key;
    my $def;
    my $val;

    while (($key, $def) = each(%{$::DEFAULTS}))
    {
	$val = $q->param("$key");
	if ($q->param("__$key"))
	{
	    delete $conf->{"$key"};
	}
	elsif (defined $val && ((defined $conf->{"$key"}) || $val ne $def))
	{
	    $conf->{"$key"} = $val;
	}
    }
    cw_write_conf($conf);
    print '<font color="00aa00" size=4>'.__("Configuration globale modifie")."</font>\n";
}
print "<form method=post>\n";
print "<table>\n";

my $val;
my $grey;

# organization
cw_field("organization", $conf, $q, 32, "", 1);

# password
cw_field("password", $conf, $q, 32, "", 1);

# display
cw_topic("Affichage");
cw_field("remote lang", $conf, $q, 0, "cw_get_langs");
cw_field("show weekend", $conf, $q, 0, "cw_get_yes_no");
cw_field("date format", $conf, $q, 0, "cw_get_date_fmt");
cw_field("clock", $conf, $q, 0, "cw_get_clock");
cw_field("refresh delay", $conf, $q, 5);
cw_field("top left corner", $conf, $q);
cw_field("footer", $conf, $q);
cw_field("frame height", $conf, $q, 5);
cw_field("frame width", $conf, $q, 5);
cw_field("detailed week", $conf, $q, 0, "cw_get_yes_no");
cw_field("demo", $conf, $q, 0, "cw_get_yes_no");

# events
cw_topic("Tches");
cw_field("event precision", $conf, $q, 5);
cw_field("event length", $conf, $q, 5);

# day view
cw_topic("Vue  la journe");
cw_field("day precision", $conf, $q, 0, "cw_get_day_prec");
cw_field("show day time", $conf, $q, 0, "cw_get_yes_no");
cw_field("first hour", $conf, $q, 5);
cw_field("last hour", $conf, $q, 5);

# alarms
cw_topic("Alarmes");
cw_field("remote cal", $conf, $q);
cw_field("remote mail", $conf, $q);
cw_field("mail command", $conf, $q);

# misc
cw_topic("Divers");
cw_field("default todo", $conf, $q, 0, "cw_get_true_false");
cw_field("default lock", $conf, $q, 0, "cw_get_true_false");
cw_field("default priv", $conf, $q, 0, "cw_get_true_false");
cw_field("superuser", $conf, $q);
cw_field("disable fusion", $conf, $q, 0, "cw_get_true_false");
cw_field("disable purge", $conf, $q, 0, "cw_get_true_false");
cw_field("overlap", $conf, $q, 0, "cw_get_true_false");
cw_field("week copy", $conf, $q, 0, "cw_get_yes_no");

# system
cw_topic("Systme");
cw_field("access file name", $conf, $q);
cw_field("address", $conf, $q);
cw_field("port", $conf, $q, 5);
cw_field("webserver port", $conf, $q, 5);
cw_field("base url", $conf, $q);
cw_field("database directory", $conf, $q);

print "<tr><td colspan=2><hr></td></tr>\n";
print "<tr><td>&nbsp;</td><td>\n";
print '<input type="submit" name="modify" value="'.__("Valider").'">'."\n";
print '<input type="reset" value="'.__("Rinitialiser").'">'."\n";
print "</td></tr>\n";

print "</table>\n";
if ($q->param("all"))
{
    print '<input type="hidden" name="all" value="1">'."\n";
}
print "</form>\n";

cw_footer();
