#!/usr/bin/perl

use strict;
use CGI();

require "inc/cwcal.pl";

my $q = new CGI();

my $title2 = __("Configuration Wcal");
my $title = __("Utilisateurs et groupes");
my $title3 = __("Ordre des groupes");

cw_header($title);

print "<center>\n";
print "<h1><a href=\".\">$title2</a></h1>\n";
print "</center>\n";
print "<h2><a href=\"usgr.cgi\">$title</a></h2>\n";

my $wconf = cw_get_wconf();
my $uconf = cw_get_uconf();
my $gconf = cw_get_gconf();
my $conf_ref;
if ($q->param("group"))
{
    $conf_ref = $gconf->{$q->param("group")};
    my $str = $conf_ref->{"long name"};
    my $grp;
    while ($grp = $conf_ref->{group})
    {
	$str = "$gconf->{$grp}->{'long name'} / $str";
	$conf_ref = $gconf->{$grp};
    }
    $conf_ref = $gconf->{$q->param("group")};
    print "<h3>$str</h3>\n";
}
else
{
    $conf_ref = $wconf;
}

print "<h3>$title3</h3>\n";

my $group;
print "<script language=javascript>\n";
print "function switch_groups(group1,group2)\n";
print "{\n";
print "  var temp = document.usorder.elements[group1].value;\n";
print "  document.usorder.elements[group1].value = document.usorder.elements[group2].value;\n";
print "  document.usorder.elements[group2].value = temp;\n";
print "}\n";
print "</script>\n";
print "<form method=post name=\"usorder\">\n";
print "<table>\n";
my $i = 0;
my $j;

if ($q->param("group0"))
{
    my @usl;
    while ($q->param("group$i") =~ /\(([^\)]+)\)$/)
    {
	push @usl, $1;
	$i++;
    }
    $conf_ref->{"groups order"} = join(" ", @usl);
    if ($q->param("group"))
    {
	cw_write_gconf($q->param("group"), $conf_ref);
    }
    else
    {
	cw_write_conf($conf_ref);
    }
    print '<font color="#00aa00" size=4>'.__("Ordre des groupes modifi")."</font>\n";
}

$i = 0;
my @groups = cw_get_groups($conf_ref);
my $nbg = scalar(@groups);
my $msgup = __("Dplacer vers le haut");
my $msgdown = __("Dplacer vers le bas");
foreach $group (@groups)
{
    print "<tr>\n";
    print '<td align="center" valign="center">'; 
    if ($i)
    {
	$j = $i-1;
	print '<a href="" onclick=\'switch_groups('.$i.','.$j.');return false;\'><img border=0 hspace=8 src="images/am.gif" alt="'.$msgup.'" title="'.$msgup.'"></a>';
    }
    else
    {
	print "&nbsp;";
    }
    print "</td>\n";
    print '<td><input size="30" readonly onfocus="blur()" name="group'.$i.'" value="'.$gconf->{$group}->{"long name"}." ($group)".'"></td>'."\n";
    print '<td align="center" valign="center">'; 
    if ($i < $nbg-1)
    {
	$j = $i+1;
	print '<a href="" onclick=\'switch_groups('.$i.','.$j.');return false;\'><img border=0 hspace=8 src="images/pm.gif" alt="'.$msgdown.'" title="'.$msgdown.'"></a>';
    }
    else
    {
	print "&nbsp;";
    }
    print "</td>\n";
    print "</tr>\n";
    $i++;
}
print "<tr><td colspan=3><hr></td></tr>\n";
print "<tr>\n";
print "<td>&nbsp;</td>\n";
print '<td><input type="submit" value="'.__("Valider").'"> <input type="reset" value="'.__("Rinitialiser").'"></td>'."\n";
print "<td>&nbsp;</td>\n";
print "</tr>\n";
print "</table>\n";
if ($q->param("group"))
{
    print '<input type="hidden" name="group" value="'.$q->param("group").'">'."\n";
}
print "</form>\n";

cw_footer();
