#!/usr/bin/perl

use strict;

require "inc/cwcal.pl";

my $title = __("Configuration Wcal");

cw_header($title);

print "<center>\n";
print "<h1>$title</h1>\n";

print "<table cellpadding=10>\n";
print "<tr>\n";
print "<td>\n";
print '<form method="post" action="global.cgi"><input type="submit" value="'.__("Configuration globale").'"></form>'."\n";
print "</td>\n";
print "<td>\n";
print '<form method="post" action="usgr.cgi"><input type="submit" value="'.__("Utilisateurs et groupes").'"></form>'."\n";
print "</td>\n";
print "<td>\n";
print '<form method="post" action="theme.cgi"><input type="submit" value="'.__("Thmes").'"></form>'."\n";
print "</td>\n";
print "<td>\n";
print '<form method="post" action="file.cgi"><input type="submit" value="'.__("Fichier de configuration").'"></form>'."\n";
print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "</center>\n";

my $wcald = cw_get_wcald();
my $wconf = cw_get_wconf();

my $url = $wconf->{"base url"} || "/wcal";
$url .= "/doc/$::REMOTE_LANG";

print "<p align=right>\n";
print '<a href="doc/'.$::REMOTE_LANG.'">CWcal '.$::CWCAL_VERSION."</a><br>\n";
print '<a href="'.$url.'">Wcal '.$wcald->{VERSION}."</a>\n";
print "</p>\n";

cw_footer();
