#!/usr/bin/perl

use strict;
use CGI();

require "inc/cwcal.pl";

my $q = new CGI();

my $user = $q->param("id");

if ($q->param("delete"))
{
    cw_write_uconf($user);
    print $q->redirect("usgr.cgi");
}

my $title = __("Configuration Wcal");
my $title2 = __("Utilisateurs et groupes");
my $txt1 = __("Ressources renseignes");
my $txt2 = __("Toutes les ressources");
my $title3;
my $msg;

cw_header($title);

print "<center>\n";
print "<h1><a href=\".\">$title</a></h1>\n";
print "</center>\n";
print "<h2><a href=\"usgr.cgi\">$title2</a></h2>\n";

my $uconf = cw_get_uconf();
my $gconf = cw_get_gconf();
my $conf;

if ($user)
{
    $conf = $uconf->{$user};
}
else
{
    $conf = {};
    $conf->{group} = $q->param("group");
}

my $conf_ref = $conf;
my $sep = "";
my $str = "";
my $grp;
while ($grp = $conf_ref->{group})
{
    $str = '<a href="group.cgi?id='.$grp.'"><img src="images/group1.gif" border=0 alt="'.$grp.'" title="'.$grp.'"></a> '.$gconf->{$grp}->{"long name"}.$sep.$str;
    $sep = " / ";
    $conf_ref = $gconf->{$grp};
}
if ($str)
{
    print "<h3>$str</h3>\n";
}

my $link;

if ($q->param("link"))
{
    $link = 1;
}
elsif ($q->param("unlink"))
{
    $link = 0;
}
else
{
    $link = ($conf->{"data id"} && $conf->{"data id"} ne $user);
}

my $url;

if ($link)
{
    $msg = __("Annuler le lien");
    if ($user)
    {
	$title3 = sprintf(__("Lien %s"), $user);
	$url = "user.cgi?id=$user";
    }
    else
    {
	$title3 = __("Nouveau lien");
	$url = "user.cgi?addus=1&group=".$q->param("group");
    }
    print '<h3><a href="'.$url.'&unlink=1"><img src="images/mail.gif" alt="'.$msg.'" title="'.$msg.'" border=0></a> '.$title3."</h3>\n";
}
else
{
    $msg = __("Crer un lien");

    if ($user)
    {
	$title3 = sprintf(__("Utilisateur %s"), $user);
	$url = "user.cgi?id=$user";

    }
    else
    {
	$title3 = __("Nouvel utilisateur");
	$url = "user.cgi?addus=1&group=".$q->param("group");
    }
    print '<h3><a href="'.$url.'&link=1"><img src="images/user.gif" alt="'.$msg.'" title="'.$msg.'" border=0></a> '.$title3."</h3>\n";

    if ($q->param("unlink"))
    {
	$url .= "&unlink=1";
    }
    if ($q->param("all"))
    {
	print "<i><a href=\"$url\"><font color=\"#666666\">$txt1</font></a></i>&nbsp;&nbsp;&nbsp;<b>$txt2</b>\n";
    }
    else
    {
	print " <b>$txt1</b>&nbsp;&nbsp;&nbsp;<i><a href=\"$url&all=1\"><font color=\"#666666\">$txt2</font></a></i>\n";
    }
}

print "<p>\n";

if ($q->param("long name") || $q->param("data id"))
{
    if ($q->param("data id"))
    {
	$conf->{"long name"} = $uconf->{$q->param("data id")}->{"long name"};
	$conf->{"data id"} = $q->param("data id");
	$conf->{"read only"} = $q->param("read only");
	$link = 1;
    }
    else
    {
	$conf->{"long name"} = $q->param("long name");

	my $key;
	my $def;
	my $val;
	
	while (($key, $def) = each(%{$::DEFAULTS}))
	{
	    $val = $q->param("$key");
	    if ($q->param("__$key"))
	    {
		delete $conf->{"$key"};
	    }
	    elsif (defined $val && ((defined $conf->{"$key"}) || $val ne $def))
	    {
		$conf->{"$key"} = $val;
	    }
	}
    }
    if ($user)
    {
	cw_write_uconf($user, $conf);
	print '<font color="#00aa00" size=4>'.__("Configuration utilisateur modifie")."</font>\n";
    }
    else
    {
	if ($uconf->{$q->param("wcal id")} || $gconf->{$q->param("wcal id")})
	{
	    print '<font color="red" size=4>'.sprintf(__("Identifiant %s dj utilis"), $q->param("wcal id"))."</font>\n";
	}
	else
	{
	    cw_add_wcobj($q->param("wcal id"), "user", $conf, $q->param("group"));
	    print '<font color="#00aa00" size=4>'.sprintf(__("Utilisateur %s ajout"), '<a href="user.cgi?id='.$q->param("wcal id").'">'.$q->param("wcal id").'</a>')."</font>\n";
	}
    }
}
print "<form method=post>\n";
print "<table>\n";

if (!$user)
{
    cw_field("wcal id", $conf, $q, 0, "", 1, "helpwcid.cgi");
}

if ($link)
{
    # data id
    cw_field("data id", $conf, $q, 0, "cw_get_data_id", 1);
    cw_field("read only", $conf, $q, 0, "cw_get_true_false", 1);
}
else
{
    # long name
    cw_field("long name", $conf, $q, 32, "", 1);

    # display
    cw_topic("Affichage");
    cw_field("date format", $conf, $q, 0, "cw_get_date_fmt");
    cw_field("clock", $conf, $q, 0, "cw_get_clock");

    # alarms
    cw_topic("Alarmes");
    cw_field("remote mail", $conf, $q);
    cw_field("mail command", $conf, $q);

    # misc
    cw_topic("Divers");
    cw_field("default todo", $conf, $q, 0, "cw_get_true_false");
    cw_field("default lock", $conf, $q, 0, "cw_get_true_false");
    cw_field("default priv", $conf, $q, 0, "cw_get_true_false");
    cw_field("superuser", $conf, $q);
    cw_field("disable purge", $conf, $q, 0, "cw_get_true_false");
    cw_field("overlap", $conf, $q, 0, "cw_get_true_false");
    cw_field("week copy", $conf, $q, 0, "cw_get_yes_no");
}

print "<tr><td colspan=2><hr></td></tr>\n";
print "<tr><td>&nbsp;</td><td>\n";
print '<input type="submit" name="modify" value="'.__("Valider").'"> <input type="reset" value="'.__("Rinitialiser").'">'."\n";
print "</td></tr>\n";
print "</table>\n";
print '<input type="hidden" name="id" value="'.$user.'">'."\n";
if ($q->param("all"))
{
    print '<input type="hidden" name="all" value="1">'."\n";
}
if ($q->param("unlink"))
{
    print '<input type="hidden" name="__data id" value="1">'."\n";
    print '<input type="hidden" name="__read only" value="1">'."\n";
    print '<input type="hidden" name="unlink" value="1">'."\n";
}
if ($q->param("link"))
{
    print '<input type="hidden" name="link" value="1">'."\n";
}
if ($q->param("addus"))
{
    print '<input type="hidden" name="addus" value="1">'."\n";
}
if ($q->param("group"))
{
    print '<input type="hidden" name="group" value="'.$q->param("group").'">'."\n";
}

print "</form>\n";

cw_footer();
